List embed users mentionable in a dashboard comment
curl --request GET \
--url https://{tenant}.cubecloud.dev/api/v1/embed/dashboard/{publicId}/comments/mentionable-users \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenant}.cubecloud.dev/api/v1/embed/dashboard/{publicId}/comments/mentionable-users"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant}.cubecloud.dev/api/v1/embed/dashboard/{publicId}/comments/mentionable-users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": 123,
"username": "<string>",
"email": "<string>",
"firstName": "<string>"
}
],
"pageInfo": {
"hasNextPage": true,
"hasPreviousPage": true,
"endCursor": "<string>",
"startCursor": "<string>"
}
}Embed
List embed users mentionable in a dashboard comment
GET
/
api
/
v1
/
embed
/
dashboard
/
{publicId}
/
comments
/
mentionable-users
List embed users mentionable in a dashboard comment
Returns one page of the caller’s fellow embed users, for a mention autocomplete, ordered by username.
Scoped to the caller’s own embed tenant and to embed users only — console users of the host tenant are never returned. Pass
search to filter by username or email. email may be null: username is the only identity field an embed user is guaranteed to have.Authorizations
Token authentication. Send Authorization: Bearer <YOUR_TOKEN>.
Path Parameters
Query Parameters
Maximum string length:
255Required range:
x >= 1